Bug 64219 - mutt-1.2.5.1-1 - width beyond a certain point results in segfaults
mutt-1.2.5.1-1 - width beyond a certain point results in segfaults
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: mutt (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-29 12:26 EDT by James Manning
Modified: 2014-03-16 22:27 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-26 17:31:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace of width==262 segfaulting mutt (16.95 KB, text/plain)
2002-04-29 12:27 EDT, James Manning
no flags Details
ltrace of width==262 segfaulting mutt (834.05 KB, text/plain)
2002-04-29 12:28 EDT, James Manning
no flags Details

  None (edit)
Description James Manning 2002-04-29 12:26:26 EDT
kind of a long-standing thing.  In a Konsole window (haven't tried with 
others), width 261 is fine.  As soon as the window gets extended to 262, the 
currently running mutt segfaults and any new mutt attempts dies.  I'll post 
the strace and ltrace results
Comment 1 James Manning 2002-04-29 12:27:46 EDT
Created attachment 55785 [details]
strace of width==262 segfaulting mutt
Comment 2 James Manning 2002-04-29 12:28:18 EDT
Created attachment 55786 [details]
ltrace of width==262 segfaulting mutt
Comment 3 James Manning 2002-05-09 14:19:02 EDT
still in 7.3
Comment 4 Bill Nottingham 2005-01-26 17:31:18 EST
Closing out bugs for older, end-of-life releases.

Note that mutt is built against ncurses now, which may change this
behavior.

Note You need to log in before you can comment on or make changes to this bug.